Ripple

React Bootstrap 5 Ripple

The ripple method provides a radial action in the form of a visual ripple expanding outward from the user’s touch. Ripple is a visual form of feedback for touch events providing users a clear signal that an element is being touched.

Note: Read the API tab to find all available options and advanced customization


Basic example

By default, ripple is added to every button and it does not require any additional classes or attributes.

        
            
          import React from 'react';
          import { MDBBtn } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <MDBBtn size='lg'>Primary</MDBBtn>
            );
          }
                  
        
    

Wrap other elements into MDBRipple to initialize a ripple effect on them.

        
            
          import React from 'react';
          import { MDBRipple } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <MDBRipple rippleTag="a" href="#!">
                <img
                  alt="example"
                  className="img-fluid rounded"
                  src="https://mdbootstrap.com/img/new/standard/city/043.webp"
                />
              </MDBRipple>
            );
          }
            
        
    

Colors

By using rippleColor property you can change the color of the ripple.

You can use the colors from the basic MDB palette, for example rippleColor="primary" or rippleColor="danger":

        
            
          import React from 'react';
          import { MDBBtn } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <>
                <MDBBtn rippleColor='primary' color='light'>
                  Primary
                </MDBBtn>
                <MDBBtn rippleColor='secondary' color='light'>
                  Secondary
                </MDBBtn>
                <MDBBtn rippleColor='success' color='light'>
                  Success
                </MDBBtn>
                <MDBBtn rippleColor='danger' color='light'>
                  Danger
                </MDBBtn>
                <MDBBtn rippleColor='info' color='light'>
                  Info
                </MDBBtn>
                <MDBBtn rippleColor='light' color='dark'>
                  Light
                </MDBBtn>
                <MDBBtn rippleColor='dark' color='light'>
                  Dark
                </MDBBtn>
              </>
            );
          }
          
        
    

You can also use any CSS color name:

        
            
          import React from 'react';
          import { MDBBtn } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <>
                <MDBBtn rippleColor='red' color='light'>
                  Red
                </MDBBtn>
                <MDBBtn rippleColor='green' color='light'>
                  Green
                </MDBBtn>
                <MDBBtn rippleColor='blue' color='light'>
                  Blue
                </MDBBtn>
                <MDBBtn rippleColor='yellow' color='light'>
                  Yellow
                </MDBBtn>
                <MDBBtn rippleColor='orange' color='light'>
                  Orange
                </MDBBtn>
                <MDBBtn rippleColor='purple' color='light'>
                  Purple
                </MDBBtn>
                <MDBBtn rippleColor='aqua' color='light'>
                  Aqua
                </MDBBtn>
              </>
            );
          }
                  
        
    

Or simply use the hex color code:

        
            
          import React from 'react';
          import { MDBBtn } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <>
                <MDBBtn rippleColor='#c953d6' color='light'>
                  #c953d6
                </MDBBtn>
                <MDBBtn rippleColor='#44c6e3' color='light'>
                  #44c6e3
                </MDBBtn>
                <MDBBtn rippleColor='#fcc834' color='light'>
                  #fcc834
                </MDBBtn>
                <MDBBtn rippleColor='#386f06' color='light'>
                  #386f06
                </MDBBtn>
                <MDBBtn rippleColor='#c1303a' color='light'>
                  #c1303a
                </MDBBtn>
                <MDBBtn rippleColor='#a57c3e' color='light'>
                  #a57c3e
                </MDBBtn>
                <MDBBtn rippleColor='#192ced' color='light'>
                  #192ced
                </MDBBtn>
                <MDBBtn rippleColor='#525740' color='light'>
                  #525740
                </MDBBtn>
              </>
            );
          }
                  
        
    

Duration

By using rippleDuration property you can modify the duration of the ripple.

        
            
          import React from 'react';
          import { MDBBtn } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <>
                <MDBBtn size='lg'>Default (500ms)</MDBBtn>
                <MDBBtn rippleDuration={1000} size='lg'>
                  1s
                </MDBBtn>
                <MDBBtn rippleDuration={3000} size='lg'>
                  3s
                </MDBBtn>
                <MDBBtn rippleDuration={5000} size='lg'>
                  5s
                </MDBBtn>
                <MDBBtn rippleDuration={10000} size='lg'>
                  10s
                </MDBBtn>
              </>
            );
          }
                  
        
    

Centered

If you add rippleCentered property the ripple always starts in the center of the element instead of in the touched place.

        
            
          import React from 'react';
          import { MDBBtn } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <MDBBtn rippleCentered size='lg'>
                Centered ripple
              </MDBBtn>
            );
          }
          
        
    

Unbound

If you use rippleUnbound property,the ripple won't be bonded to the given element and it will exceed its borders.

        
            
          import React from 'react';
          import { MDBBtn } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <MDBBtn rippleUnbound rippleColor='dark'>
                Unbound
              </MDBBtn>
            );
          }
                  
        
    

Radius

By using rippleRadius property you can modify the radius of the ripple. The numeric value is expressed in pixels, for example: rippleRadius={10}

        
            
          import React from 'react';
          import { MDBBtn } from 'mdb-react-ui-kit';
  
          export default function App() {
            return (
              <>
                <MDBBtn size='lg'>Default</MDBBtn>
                <MDBBtn rippleRadius={10} size='lg'>
                  10
                </MDBBtn>
                <MDBBtn rippleRadius={25} size='lg'>
                  25
                </MDBBtn>
                <MDBBtn rippleRadius={50} size='lg'>
                  50
                </MDBBtn>
              </>
            );
          }
                  
        
    

Ripple - API


Import

        
            
          import { MDBRipple } from 'mdb-react-ui-kit';
        
        
    

Properties

MDBRipple

Name Type Default Description Example
rippleTag string 'div' Defines tag of the MDBRipple element <MDBRipple tag="span" />
rippleCentered boolean '' Centers the position of ripple <MDBRipple rippleCentered />
rippleUnbound boolean '' Sets whether the effect should go beyond the wrapper's boundaries <MDBRipple rippleUnbound />
rippleColor string '' Changes color of ripple <MDBRipple rippleColor="secondary" />
rippleRadius number '' Sets radius value <MDBRipple rippleRadius={10} />
rippleDuration number '' Sets duration of animation <MDBRipple rippleDuration={10} />

Ripple

Vue Bootstrap 5 Ripple

The ripple directive provides a radial action in the form of a visual ripple expanding outward from the user’s touch. Ripple is a visual form of feedback for touch events providing users a clear signal that an element is being touched.

Note: Read the API tab to find all available options and advanced customization


Basic example

By default, ripple is added to every MDBBtn component and it does not require any additional classes or attributes.

        
            
            <template>
              <MDBBtn color="primary" size="lg">Primary</MDBBtn>
            </template>
          
        
    
        
            
            <script>
              import { MDBBtn } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBBtn
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBBtn } from "mdb-vue-ui-kit";
            </script>
          
        
    

A directive can be added to any element. Thanks to this you can use it to apply the ripple effect to the given clickable element - for example to the image wrapped in <a> element.

        
            
            <template>
              <a v-mdb-ripple>
                <img alt="example" class="img-fluid rounded" src="https://mdbootstrap.com/img/new/standard/city/043.webp" />
              </a>
            </template>
          
        
    
        
            
            <script>
              import { mdbRipple } from "mdb-vue-ui-kit";

              export default {
                directives: {
                  mdbRipple
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { mdbRipple as vMdbRipple } from "mdb-vue-ui-kit";
            </script>
          
        
    

Colors

By using color key you can change the color of the ripple.

You can use the colors from basic MDB palette, for example color: "primary" or color: "danger".

        
            
            <template>
              <MDBBtn color="light" :ripple="{ color: 'primary' }">Primary</MDBBtn>
              <MDBBtn color="light" :ripple="{ color: 'secondary' }">Secondary</MDBBtn>
              <MDBBtn color="light" :ripple="{ color: 'success' }">Success</MDBBtn>
              <MDBBtn color="light" :ripple="{ color: 'danger' }">Danger</MDBBtn>
              <MDBBtn color="light" :ripple="{ color: 'warning' }">Warning</MDBBtn>
              <MDBBtn color="light" :ripple="{ color: 'info' }">Info</MDBBtn>
              <MDBBtn color="dark" :ripple="{ color: 'light' }">Light</MDBBtn>
              <MDBBtn color="light" :ripple="{ color: 'dark' }">Dark</MDBBtn>
            </template>
          
        
    
        
            
            <script>
              import { MDBBtn } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBBtn
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBBtn } from "mdb-vue-ui-kit";
            </script>
          
        
    

You can also use any CSS color name:

        
            
            <template>
              <MDBBtn color="light" :ripple="{ color: 'red' }">Red</MDBBtn>
              <MDBBtn color="light" :ripple="{ color: 'green' }">Green</MDBBtn>
              <MDBBtn color="light" :ripple="{ color: 'blue' }">Blue</MDBBtn>
              <MDBBtn color="light" :ripple="{ color: 'yellow' }">Yellow</MDBBtn>
              <MDBBtn color="light" :ripple="{ color: 'orange' }">Orange</MDBBtn>
              <MDBBtn color="light" :ripple="{ color: 'purple' }">Purple</MDBBtn>
              <MDBBtn color="light" :ripple="{ color: 'aqua' }">Aqua</MDBBtn>
            </template>
          
        
    
        
            
            <script>
              import { MDBBtn } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBBtn
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBBtn } from "mdb-vue-ui-kit";
            </script>
          
        
    

Or simply use the hex color code:

        
            
            <template>
              <MDBBtn color="light" :ripple="{ color: '#c953d6' }">#c953d6</MDBBtn>
              <MDBBtn color="light" :ripple="{ color: '#44c6e3' }">#44c6e3</MDBBtn>
              <MDBBtn color="light" :ripple="{ color: '#fcc834' }">#fcc834</MDBBtn>
              <MDBBtn color="light" :ripple="{ color: '#386f06' }">#386f06</MDBBtn>
              <MDBBtn color="light" :ripple="{ color: '#c1303a' }">#c1303a</MDBBtn>
              <MDBBtn color="light" :ripple="{ color: '#a57c3e' }">#a57c3e</MDBBtn>
              <MDBBtn color="light" :ripple="{ color: '#192ced' }">#192ced</MDBBtn>
              <MDBBtn color="light" :ripple="{ color: '#525740' }">#525740</MDBBtn>
            </template>
          
        
    
        
            
            <script>
              import { MDBBtn } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBBtn
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBBtn } from "mdb-vue-ui-kit";
            </script>
          
        
    

Duration

By using duration key you can modify the duration of the ripple (in milliseconds).

        
            
            <template>
              <MDBBtn color="primary" size="lg">Default (500ms)</MDBBtn>
              <MDBBtn color="primary" size="lg" :ripple="{ duration: 1000 }">Duration 1s</MDBBtn>
              <MDBBtn color="primary" size="lg" :ripple="{ duration: 3000 }">Duration 3s</MDBBtn>
              <MDBBtn color="primary" size="lg" :ripple="{ duration: 5000 }">Duration 5s</MDBBtn>
              <MDBBtn color="primary" size="lg" :ripple="{ duration: 10000 }">Duration 10s</MDBBtn>
            </template>
          
        
    
        
            
            <script>
              import { MDBBtn } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBBtn
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBBtn } from "mdb-vue-ui-kit";
            </script>
          
        
    

Centered

If you set centered key to true, the ripple will always start in the middle of an element.

        
            
            <template>
              <MDBBtn color="primary" size="lg" :ripple="{ centered: true }">Centered ripple</MDBBtn>
            </template>
          
        
    
        
            
            <script>
              import { MDBBtn } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBBtn
                }
              };
            </script>
          
        
    
        
            
            <script>
              import { MDBBtn } from "mdb-vue-ui-kit";
            </script>
          
        
    

Unbound

If you set unbound key to true, the ripple won't be bonded to the given element and it will exceed its borders.

        
            
            <template>
              <MDBBtn color="primary" :ripple="{ unbound: true, color: 'dark' }">Unbound</MDBBtn>
            </template>
          
        
    
        
            
            <script>
              import { MDBBtn } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBBtn
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBBtn } from "mdb-vue-ui-kit";
            </script>
          
        
    

Radius

By using radius key you can modify the radius of the ripple. The numeric value is expressed in pixels, for example: radius: 10.

        
            
            <template>
              <MDBBtn color="primary" size="lg">Default</MDBBtn>
              <MDBBtn color="primary" size="lg" :ripple="{ radius: 10 }">10</MDBBtn>
              <MDBBtn color="primary" size="lg" :ripple="{ radius: 25 }">25</MDBBtn>
              <MDBBtn color="primary" size="lg" :ripple="{ radius: 50 }">50</MDBBtn>
            </template>
          
        
    
        
            
            <script>
              import { MDBBtn } from "mdb-vue-ui-kit";

              export default {
                components: {
                  MDBBtn
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import { MDBBtn } from "mdb-vue-ui-kit";
            </script>
          
        
    

Examples

You can apply the ripple directive to any element. Options can be passed as an object, for example: v-mdb-ripple="{ color: 'secondary', centered: true }".

...
Card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Button
...
Card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Button
...
Card title

Some quick example text to build on the card title and make up the bulk of the card's content.

Button
        
            
            <template>
              <MDBRow>
                <MDBCol md="4">
                  <MDBCard style="max-width: 22rem">
                    <a v-mdb-ripple>
                      <MDBCardImg src="https://mdbootstrap.com/img/new/standard/city/024.webp" top alt="..." />
                    </a>
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        Some quick example text to build on the card title and
                        make up the bulk of the card's content.
                      </MDBCardText>
                      <MDBBtn color="primary">Button</MDBBtn>
                    </MDBCardBody>
                  </MDBCard>
                </MDBCol>
      
                <MDBCol md="4">
                  <MDBCard style="max-width: 22rem">
                    <a v-mdb-ripple>
                      <MDBCardImg src="https://mdbootstrap.com/img/new/standard/city/025.webp" top alt="..." />
                    </a>
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        Some quick example text to build on the card title and
                        make up the bulk of the card's content.
                      </MDBCardText>
                      <MDBBtn color="primary">Button</MDBBtn>
                    </MDBCardBody>
                  </MDBCard>
                </MDBCol>
      
                <MDBCol md="4">
                  <MDBCard style="max-width: 22rem">
                    <a v-mdb-ripple>
                      <MDBCardImg src="https://mdbootstrap.com/img/new/standard/city/032.webp" top alt="..." />
                    </a>
                    <MDBCardBody>
                      <MDBCardTitle>Card title</MDBCardTitle>
                      <MDBCardText>
                        Some quick example text to build on the card title and
                        make up the bulk of the card's content.
                      </MDBCardText>
                      <MDBBtn color="primary">Button</MDBBtn>
                    </MDBCardBody>
                  </MDBCard>
                </MDBCol>
              </MDBRow>
            </template>
          
        
    
        
            
            <script>
              import {
                mdbRipple,
                MDBBtn,
                MDBCard,
                MDBCardBody,
                MDBCardTitle,
                MDBCardText,
                MDBCardImg,
                MDBCol,
                MDBRow
              } from "mdb-vue-ui-kit";
              export default {
                components: {
                  MDBBtn,
                  MDBCard,
                  MDBCardBody,
                  MDBCardTitle,
                  MDBCardText,
                  MDBCardImg,
                  MDBCol,
                  MDBRow
                },
                directives: {
                  mdbRipple
                }
              };
            </script>
          
        
    
        
            
            <script setup lang="ts">
              import {
                mdbRipple as vMdbRipple,
                MDBBtn,
                MDBCard,
                MDBCardBody,
                MDBCardTitle,
                MDBCardText,
                MDBCardImg,
                MDBCol,
                MDBRow
              } from "mdb-vue-ui-kit";
            </script>
          
        
    

Ripple - API


Import

        
            
          <script>
            import {
              mdbRipple
            } from 'mdb-vue-ui-kit';
          </script>
        
        
    

Properties

Property Type Default Description
centered Boolean false Centers position of the ripple.
color String "" Changes color of the ripple.
duration Number 500 Sets duration of the animation in milliseconds.
radius Number diameter / 2 Sets radius value in px.
unbound Boolean false Sets whether the effect should go beyond the wrapper's boundaries.